# Voting/Resolution

There are 4 steps functions required for resolving disputes. Each step corresponds to a function called from the appropriate [governance contract](/tellor-docs-v2/the-basics/contracts-reference.md). All steps can be performed via Etherscan.&#x20;

**Note: After a dispute is initiated, there is a 48 hour voting period.**&#x20;

### **Step 1: Determine the disputeID**

* On etherscan, locate the s`ubmitValue` transaction that was disputed. Click the Logs tab and copy the \_queryId.&#x20;
* Navigate to the [governance contract](/tellor-docs-v2/the-basics/contracts-reference.md). Click the `contract` tab. Click the `Read Contract` Button. Click on function 6 `getOpenDisputesOnId`. Input the queryId and click Query for a list of open disputes on that QueryID.

*The dispute Id is most likely the highest number in the list; However, in case there have been multiple disputes on the same `queryId` in a short period of time, the disputeId can be cross checked by entering the* `disputeID` *in the* `getDisputeInfo` *function.*

### Step 2: Vote

From step 1, click the `Write Contract` button. Log into your Web3 compatible wallet and Click `Connect to Web3` with the address that holds your Tellor voting power. Click function `9. vote`.&#x20;

Inputs:&#x20;

* `_disputeID`: Enter the `disputeID` from step 1.
* `_supports (bool)`: Here is where you can choose whether or not to support the dispute. Enter `true` if you wish to vote in favor of the disputer. Enter `false` if you wish to vote on the side of the reporter.
* `_invalidQuery`: If you believe that the dispute was invalid and there is no clear correct option, enter `true` here. Otherwise, input `false`.&#x20;

Note: 48 hours after the dispute is initiated, votes can be tallied. Which brings us to...

### Step 3: Tally Votes

* Connect your web3 compatible wallet to the governance contract via etherscan.&#x20;
* Click on function 7. `tallyVotes`
* Input the `disputeID` from step one and click Write to sign the transaction.

Note: 24 hours after `tallyVotes` is called, the vote can be executed. Which brings us to...

### Step 4: Execute Vote

The last step for resolving a dispute is `executeVote`. After this function is called, the winner of the dispute receives the locked TRB tokens.&#x20;

* Connect your web3 compatible wallet to the governance contract via etherscan.&#x20;
* Click on function 3. `executeVote`.&#x20;
* Input the `disputeID` from step one and click Write to sign the transaction.&#x20;


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tellor.io/tellor-docs-v2/disputing-data/voting-resolution.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
